---
layout: post
title: "still not owning a smoothieboard, but highly appreciating your work"
date: May 05, 2015 12:37
category: "General discussion"
author: "Muccaneer von M\u00fcnchen"
---
still not owning a smoothieboard, but highly appreciating your work.





**"Muccaneer von M\u00fcnchen"**

---
---
**Arthur Wolf** *May 05, 2015 12:40*

Yay :)


---
*Imported from [Google+](https://plus.google.com/+MuccaneervonMünchen/posts/9zzTTPbnm79) &mdash; content and formatting may not be reliable*
